<?php
function thb_get_portfolio_size( $style = 'masonry-style1', $i = 0 ) {
	$size = '';
	if ( $style == 'masonry-style1' ) {
		switch ( $i ) {
			default:
				$size = 'small-12 medium-6 large-3 padding-1';
				break;
			case 2:
			case 4:
			case 6:
			case 8:
			case 13:
			case 18:
				$size = 'small-12 medium-6 large-3 padding-2';
				break;
		}
	} elseif ( $style == 'masonry-style2' ) {
		switch ( $i ) {
			default:
				$size = 'small-12 medium-6 large-4 padding-1';
				break;
			case 0:
			case 2:
			case 3:
			case 4:
			case 5:
			case 7:
			case 10:
				$size = 'small-12 medium-6 large-4 padding-2';
				break;
		}
	} elseif ( $style == 'masonry-style3' ) {
		switch ( $i ) {
			default:
				$size = 'small-12 medium-6 large-3 padding-1';
				break;
			case 2:
			case 5:
			case 12:
			case 15:
				$size = 'small-12 large-6 padding-1';
				break;
		}
	} elseif ( $style == 'masonry-style4' ) {
		switch ( $i ) {
			default:
				$size = 'small-12 medium-6 large-3 padding-1';
				break;
			case 4:
			case 14:
				$size = 'small-12 medium-6 large-6 padding-half';
				break;
			case 0:
			case 5:
			case 9:
			case 13:
				$size = 'small-12 medium-6 large-3 padding-2';
				break;
		}
	} elseif ( $style == 'masonry-style5' ) {
		switch ( $i ) {
			default:
				$size = 'small-12 medium-6 large-6 padding-1';
				break;
			case 1:
			case 2:
			case 3:
			case 5:
			case 7:
			case 8:
			case 9:
			case 11:
			case 13:
			case 14:
			case 15:
			case 17:
			case 19:
			case 20:
			case 21:
				$size = 'small-12 medium-6 large-6 padding-half';
				break;
		}
	} elseif ( $style == 'masonry-style6' ) {
		switch ( $i ) {
			default:
				$size = 'small-12 medium-4 thb-5 padding-1';
				break;
			case 6:
			case 10:
			case 14:
			case 18:
				$size = 'small-12 medium-8 thb-5-2 padding-1';
				break;
		}
	} elseif ( $style == 'masonry-style7' ) {
		switch ( $i ) {
			default:
				$size = 'small-12 medium-4 large-4 padding-1';
				break;
			case 0:
				$size = 'small-12 medium-8 large-8 padding-1';
				break;
			case 1:
			case 5:
				$size = 'small-12 medium-4 large-4 padding-2';
				break;
			case 2:
			case 3:
				$size = 'small-12 medium-6 large-6 padding-1';
				break;
		}
	} elseif ( $style == 'masonry-style8' ) {
		switch ( $i ) {
			default:
				$size = 'small-12 medium-6 large-6 padding-half';
				break;
			case 0:
			case 4:
			case 6:
			case 10:
			case 12:
				$size = 'small-12 medium-6 large-6 padding-1';
				break;
		}
	} elseif ( $style == 'grid' ) {
		$size = 'small-12 medium-6 padding-1';
	}
	return $size;
}
function thb_get_masonry_size( $size = '', $thb_grid_type = 4 ) {
	$class_image = array();
	switch ( $size ) {
		case 'large':
			$class_image['class'] = 'small-12 medium-6 large-6 masonry-large';
			if ( $thb_grid_type == '3' ) {
				$class_image['class'] = 'small-12 medium-8 masonry-large';
			}
			$class_image['image_size'] = $thb_grid_type == '3' ? 'werkstatt-squarelarge-3x' : 'werkstatt-squarelarge-3x';
			break;
		case 'wide':
			$class_image['class'] = 'small-12 medium-6 large-6 masonry-wide';
			if ( $thb_grid_type == '3' ) {
				$class_image['class'] = 'small-12 medium-8 masonry-wide';
			}
			$class_image['image_size'] = $thb_grid_type == '3' ? 'werkstatt-wide-3x' : 'werkstatt-wide-3x';
			break;
		case 'tall':
			$class_image['class'] = 'small-12 medium-6 large-3 masonry-tall';
			if ( $thb_grid_type == '3' ) {
				$class_image['class'] = 'small-12 medium-4 masonry-tall';
			}
			$class_image['image_size'] = $thb_grid_type == '3' ? 'werkstatt-tall-3x' : 'werkstatt-tall-3x';
			break;
		case 'small':
		default:
			$class_image['class'] = 'small-12 medium-6 large-3 masonry-small';
			if ( $thb_grid_type == '3' ) {
				$class_image['class'] = 'small-12 medium-4 masonry-small';
			}
			$class_image['image_size'] = $thb_grid_type == '3' ? 'werkstatt-squarelarge-2x' : 'werkstatt-squarelarge-2x';
			break;
	}
	return $class_image;
}

function thb_get_fullscreen_data( $thb_id ) {
	$fs_footer         = get_post_meta( $thb_id, 'fs_footer', true );
	$fs_slides         = get_post_meta( $thb_id, 'fs_slides', true );
	$fs_autoplay_speed = get_post_meta( $thb_id, 'fs_autoplay_speed', true ) ? get_post_meta( $thb_id, 'fs_autoplay_speed', true ) : 5000;
	$fs_autoplay       = 'on' === get_post_meta( $thb_id, 'fs_autoplay', true ) ? $fs_autoplay_speed : false;
	$total             = sizeof( $fs_slides );

	$fs_data = array(
		'fs_footer'         => $fs_footer,
		'fs_slides'         => $fs_slides,
		'fs_autoplay_speed' => $fs_autoplay_speed,
		'fs_autoplay'       => $fs_autoplay,
		'total'             => $total,
	);
	return $fs_data;
}

function thb_get_fs_portfolio_data( $thb_id ) {
	$image_id          = get_post_thumbnail_id( $thb_id );
	$image_url         = wp_get_attachment_image_src( $image_id, 'full' );
	$main_color        = get_post_meta( $thb_id, 'main_color', true );
	$main_color_title  = get_post_meta( $thb_id, 'main_color_title', true );
	$categories        = get_the_term_list( $thb_id, 'portfolio-category', '', ', ', '' );
	$thb_title         = get_the_title( $thb_id );
	$main_listing_type = get_post_meta( $thb_id, 'main_listing_type', true );
	$permalink         = '';

	$link_class[] = 'full-screen-link';

	if ( 'lightbox' === $main_listing_type ) {
		$permalink    = $image_url[0];
		$link_class[] = 'mfp-image';
	} elseif ( 'link' === $main_listing_type ) {
		$permalink = get_post_meta( $thb_id, 'main_listing_link', true );
	} elseif ( 'lightbox-video' === $main_listing_type ) {
		$permalink    = get_post_meta( $thb_id, 'main_listing_link', true );
		$link_class[] = 'mfp-video';
	} else {
		$permalink = get_the_permalink( $thb_id );
	}
	if ( '' !== $categories && ! empty( $categories ) ) {
		$categories = wp_strip_all_tags( $categories );
	}
	$portfolio_data = array(
		'image_id'         => $image_id,
		'image_url'        => $image_url[0],
		'main_color'       => $main_color,
		'main_color_title' => $main_color_title,
		'categories'       => $categories,
		'thb_title'        => $thb_title,
		'permalink'        => $permalink,
		'link_class'       => $link_class,
	);
	return $portfolio_data;
}
function thb_get_portfolio_data( $thb_id ) {
	$image_id          = get_post_thumbnail_id( $thb_id );
	$image_url         = wp_get_attachment_image_src( $image_id, 'full' );
	$hover_id          = get_post_meta( $thb_id, 'main_hover_image', true );
	$main_color_title  = get_post_meta( $thb_id, 'main_color_title', true );
	$main_listing_type = get_post_meta( $thb_id, 'main_listing_type', true );
	$permalink         = '';

	// Link Classes.
	$link_class[] = 'portfolio-link';
	if ( 'lightbox' === $main_listing_type ) {
		$permalink    = $image_url[0];
		$link_class[] = 'mfp-image';
	} elseif ( 'link' === $main_listing_type ) {
		$permalink = get_post_meta( $thb_id, 'main_listing_link', true );
	} elseif ( 'lightbox-video' === $main_listing_type ) {
		$permalink    = get_post_meta( $thb_id, 'main_listing_link', true );
		$link_class[] = 'mfp-video';
	} else {
		$permalink = get_the_permalink();
	}

	// Classes.
	$taxonomy   = 'portfolio' === get_post_type( $thb_id ) ? 'portfolio-category' : 'category';
	$categories = get_the_term_list( $thb_id, $taxonomy, '', ', ', '' );

	if ( '' !== $categories && ! empty( $categories ) ) {
		$categories = wp_strip_all_tags( $categories );
	}
	$terms     = get_the_terms( $thb_id, $taxonomy );
	$cat_class = '';

	if ( ! empty( $terms ) ) {
		foreach ( $terms as $term ) {
			$cat_class .= ' thb-cat-' . strtolower( $term->slug );
		}
	}
	$portfolio_data = array(
		'image_id'         => $image_id,
		'image_url'        => $image_url,
		'main_color_title' => $main_color_title,
		'hover_id'         => $hover_id,
		'permalink'        => $permalink,
		'link_class'       => $link_class,
		'categories'       => $categories,
		'cat_class'        => $cat_class,
	);
	return $portfolio_data;
}
/* Portfolio Categories Array */
function thb_portfolioCategories() {
	$portfolio_categories = get_terms( 'portfolio-category', array( 'hide_empty' => false ) );

	$out = array();
	if ( empty( $portfolio_categories->errors ) ) {
		foreach ( $portfolio_categories as $portfolio_category ) {
			$out[ $portfolio_category->name ] = $portfolio_category->term_id;
		}
	}
	return $out;
}

/* Header Filter */
function thb_portfolio_categories( $categories, $id, $style, $portfolio_id_array = false ) {

	if ( ! empty( $categories ) || $categories ) {
		$portfolio_id_array = $portfolio_id_array ? $portfolio_id_array : array();

		if ( $style !== 'style4' ) {
			?>
	<nav class="thb-portfolio-filter <?php echo esc_attr( $style ); ?>" id="thb-filter-<?php echo esc_attr( $id ); ?>">
		<strong>
			<?php if ( $style == 'style1' ) { ?>
				<?php esc_html_e( 'Filters', 'werkstatt' ); ?> <span><?php get_template_part( 'assets/img/general-next.svg' ); ?></span>
		<?php } ?>
			<ul>
				<li><a href="#" data-filter="*" class="active" data-count="<?php echo count( $portfolio_id_array ); ?>"><?php esc_html_e( 'All', 'werkstatt' ); ?></a></li>
			<?php
			foreach ( $categories as $cat ) {
				$term = get_term( $cat );

				$args = array(
					'include'   => implode( ',', $portfolio_id_array ),
					'post_type' => 'portfolio',
					'tax_query' => array(
						array(
							'taxonomy' => 'portfolio-category',
							'field'    => 'slug',
							'terms'    => array( $term->slug ),
							'operator' => 'IN',
						),
					),
				);

				$posts = get_posts( $args );
				echo '<li><a href="#" data-filter=".thb-cat-' . esc_attr( $term->slug ) . '" data-count="' . esc_attr( count( $posts ) ) . '">' . esc_attr( $term->name ) . '</a></li>';
			}
			?>
			</ul>
		</strong>
	</nav>
			<?php
		}
	}
}
add_action( 'thb-render-filter', 'thb_portfolio_categories', 1, 4 );

/* Swiper Navigation */
function thb_swiper_navigation( $fs_footer ) {
	?>
	<div class="swiper-navigation <?php echo esc_attr( $fs_footer ); ?>">
		<?php
		if ( $fs_footer === 'footer_style2' ) {
			echo ' <strong class="swiper-button-prev">' . esc_attr__( 'Previous', 'werkstatt' ) . '</strong>';
		} else {
			get_template_part( 'assets/img/full-screen-up-arrow.svg' ); }
		?>
		<?php
		if ( $fs_footer === 'footer_style2' ) {
			echo ' <strong class="swiper-button-next">' . esc_attr__( 'Next', 'werkstatt' ) . '</strong>';
		} else {
			get_template_part( 'assets/img/full-screen-down-arrow.svg' ); }
		?>
	</div>
	<?php
}
add_action( 'thb_swiper_navigation', 'thb_swiper_navigation', 1, 1 );

/* Show All */
function thb_show_all( $portfolios ) {

	if ( ! empty( $portfolios ) || $portfolios ) {
		?>
	<nav class="thb-show-all">
		<div class="thb-close"></div>
		<div class="items custom_scroll portfolio-show-all" id="thb-show-all">
			<ul>
			<?php
			foreach ( $portfolios as $portfolio ) {
				$image_url = wp_get_attachment_image_src( $portfolio['image_id'], 'full' );
				echo '<li><div>
					<figure style="background-image: url(' . esc_attr( $image_url[0] ) . ')"></figure>
					<h6>' . esc_html( $portfolio['title'] ) . '</h6>
					<aside class="cats">' . $portfolio['cats'] . '</aside>
					</div>
				</li>';
			}
			?>
			</ul>
		</div>
	</nav>

		<?php
	}
}
add_action( 'thb_show_all', 'thb_show_all', 1, 1 );

/* All Projects */
function thb_all_projects( $fs_footer, $portfolios ) {
	$id = get_the_ID();

	$fs_all      = get_post_meta( $id, 'fs_all', true );
	$fs_all_type = get_post_meta( $id, 'fs_all_type', true ) ? get_post_meta( $id, 'fs_all_type', true ) : 'style1';
	$fs_all_link = get_post_meta( $id, 'fs_all_link', true ) ? get_post_meta( $id, 'fs_all_link', true ) : '#';

	if ( 'off' !== $fs_all ) {
		?>
		<a href="<?php echo esc_url( $fs_all_link ); ?>" title="<?php esc_attr_e( 'All Projects', 'werkstatt' ); ?>" class="show-all fixed <?php echo esc_attr( $fs_all_type . ' ' . $fs_footer ); ?>">
			<?php esc_html_e( 'All Projects', 'werkstatt' ); ?>
		</a>
		<?php
		do_action( 'thb_show_all', $portfolios );
	}
}
add_action( 'thb_all_projects', 'thb_all_projects', 1, 2 );

/* Swiper Navigation */
function thb_swiper_nav( $class ) {
	$class = $class ? $class : 'arrow-style1';
	?>
	<div class="swiper-button-prev swiper-nav <?php echo esc_attr( $class ); ?>">
		<span>
			<svg version="1.1" xmlns="http://www.w3.org/2000/svg" class="thb-arrow" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="20px" height="14px" viewBox="0 0 22 14" enable-background="new 0 0 22 14" xml:space="preserve">
			<path d="M7.646,0.272c0.381,0.369,0.387,0.974,0.014,1.35L3.268,6.046h17.766C21.566,6.046,22,6.473,22,7
				c0,0.526-0.434,0.953-0.967,0.953H3.268l4.393,4.425c0.373,0.376,0.367,0.98-0.014,1.35c-0.381,0.368-0.994,0.362-1.367-0.014
				L0.277,7.668C0.26,7.651,0.248,7.632,0.232,7.613C0.209,7.588,0.188,7.561,0.166,7.532L0.16,7.524
				C0.143,7.499,0.131,7.472,0.117,7.445S0.088,7.395,0.076,7.368L0.072,7.359C0.061,7.327,0.051,7.295,0.043,7.263
				C0.035,7.237,0.025,7.214,0.02,7.188V7.183c-0.025-0.121-0.025-0.244,0-0.364V6.812c0.006-0.025,0.016-0.049,0.023-0.073
				c0.008-0.033,0.018-0.066,0.029-0.098l0.004-0.009c0.01-0.026,0.025-0.05,0.039-0.075C0.129,6.53,0.145,6.502,0.16,6.476
				l0.006-0.009c0.02-0.027,0.043-0.054,0.066-0.079C0.248,6.37,0.26,6.35,0.277,6.332l6.002-6.046C6.652-0.09,7.266-0.097,7.646,0.272
				z"/>
			</svg>
		</span>
	</div>
	<div class="swiper-button-next swiper-nav <?php echo esc_attr( $class ); ?>">
		<span>
			<svg version="1.1" class="thb-arrow" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="20px" height="14px" viewBox="0 0 22 14" enable-background="new 0 0 22 14" xml:space="preserve">
			<path d="M15.721,0.286l6.002,6.046c0.018,0.018,0.029,0.038,0.045,0.056c0.023,0.025,0.047,0.052,0.066,0.079l0.006,0.009
				c0.016,0.026,0.031,0.055,0.045,0.082c0.014,0.025,0.029,0.049,0.039,0.075l0.004,0.009c0.012,0.031,0.021,0.064,0.029,0.098
				c0.008,0.024,0.018,0.048,0.023,0.073v0.006c0.025,0.12,0.025,0.243,0,0.364v0.006c-0.006,0.025-0.016,0.049-0.023,0.074
				c-0.008,0.032-0.018,0.064-0.029,0.097l-0.004,0.009c-0.012,0.026-0.027,0.051-0.041,0.077s-0.025,0.054-0.043,0.079l-0.006,0.008
				c-0.021,0.028-0.043,0.056-0.066,0.081c-0.016,0.019-0.027,0.038-0.045,0.055l-6.002,6.046c-0.373,0.376-0.986,0.382-1.367,0.014
				c-0.381-0.369-0.387-0.974-0.014-1.35l4.393-4.425H0.967C0.433,7.953,0,7.526,0,7c0-0.527,0.433-0.954,0.966-0.954h17.766
				L14.34,1.622c-0.373-0.376-0.367-0.98,0.014-1.35S15.348-0.09,15.721,0.286z"/>
			</svg>
		</span>
	</div>

	<?php
}
add_action( 'thb_swiper_nav', 'thb_swiper_nav', 3, 3 );

/* Swiper Pagination*/
function thb_swiper_pagination() {

	echo '<div class="thb-swiper-pagination"></div>';
}
add_action( 'thb_swiper_pagination', 'thb_swiper_pagination', 3, 3 );

/* Portfolio Preloader */
function thb_portfolio_preloader( $style = false ) {
	$preloader = ot_get_option( 'thb_preloader', 'hexagon' );
	if ( 'no' !== $preloader ) {
		if ( 'hexagon' === $preloader ) {
			?>
			<div class="thb-preloader <?php echo esc_attr( $style ); ?>"><?php get_template_part( 'assets/img/preloader-hexagon.svg' ); ?></div>
			<?php
		} elseif ( 'circle' === $preloader ) {
			?>
			<div class="thb-preloader <?php echo esc_attr( $style ); ?>"><?php get_template_part( 'assets/img/preloader-circle.svg' ); ?></div>
			<?php
		}
	}
}
add_action( 'thb_portfolio_preloader', 'thb_portfolio_preloader' );

/* Portfolio Prev/Next */
function thb_portfolio_nav() {
	$portfolio_nav_cat    = ot_get_option( 'portfolio_nav_cat', 'off' );
	$portfolio_main_theme = ot_get_option( 'portfolio_main' );
	$portfolio_main       = get_post_meta( get_the_ID(), 'portfolio_main', true );
	$portfolio_link       = $portfolio_main ? get_permalink( $portfolio_main ) : ( $portfolio_main_theme ? get_permalink( $portfolio_main_theme ) : get_home_url() );

	if ( is_singular( 'post' ) ) {
		$portfolio_link = get_permalink( get_option( 'page_for_posts' ) );
		$prev           = get_previous_post();
		$next           = get_next_post();
	} elseif ( is_singular( 'portfolio' ) ) {
		$portfolio_nav_exclude = ot_get_option( 'portfolio_nav_exclude', false );
		$in_same_term          = 'on' === $portfolio_nav_cat ? true : false;
		$prev                  = get_adjacent_post( $in_same_term, $portfolio_nav_exclude, true, 'portfolio-category' );
		$next                  = get_adjacent_post( $in_same_term, $portfolio_nav_exclude, false, 'portfolio-category' );
	}
	if (
		( is_singular( 'portfolio' ) && 'on' === ot_get_option( 'portfolio_nav', 'on' ) ) ||
		( is_singular( 'post' ) && 'on' === ot_get_option( 'blog_nav', 'on' ) )
	) {
		?>
	<div class="portfolio_nav">
		<div class="row full-width-row">
			<div class="small-5 columns">
				<?php
				if ( $prev ) {
					$image_id   = get_post_thumbnail_id( $prev->ID );
					$image_link = wp_get_attachment_image_src( $image_id, 'werkstatt-rectangle' );
					?>
					<a href="<?php echo esc_url( get_permalink( $prev->ID ) ); ?>" class="post_nav_link prev">
					<?php
					if ( $image_id ) {
						?>
						<div class="inner"><img src="<?php echo esc_attr( $image_link[0] ); ?>" alt="<?php echo esc_attr( $prev->post_title ); ?>" /></div><?php } ?>
					<?php get_template_part( 'assets/img/portfolio-prev-arrow.svg' ); ?>
						<strong>
						<?php if ( is_singular( 'portfolio' ) ) { ?>
								<?php esc_html_e( 'Previous Project (p)', 'werkstatt' ); ?>
							<?php } else { ?>
								<?php esc_html_e( 'Previous Post (p)', 'werkstatt' ); ?>
							<?php } ?>
						</strong>
						<span><?php echo wp_kses_post( $prev->post_title ); ?></span>
					</a>
					<?php
				}
				?>
			</div>
			<div class="small-2 columns center_link">
				<a href="<?php echo esc_attr( $portfolio_link ); ?>" title="<?php esc_attr_e( 'Back', 'werkstatt' ); ?>">
					<?php get_template_part( 'assets/img/back_to_thumbnail.svg' ); ?>
				</a>
			</div>
			<div class="small-5 columns">
				<?php
				if ( $next ) {
					$image_id   = get_post_thumbnail_id( $next->ID );
					$image_link = wp_get_attachment_image_src( $image_id, 'werkstatt-rectangle' );
					?>
					<a href="<?php echo esc_url( get_permalink( $next->ID ) ); ?>" class="post_nav_link next">
						<?php
						if ( $image_id ) {
							?>
							<div class="inner"><img src="<?php echo esc_attr( $image_link[0] ); ?>" alt="<?php echo esc_attr( $next->post_title ); ?>" /></div><?php } ?>
						<?php get_template_part( 'assets/img/portfolio-next-arrow.svg' ); ?>
						<strong>
							<?php if ( is_singular( 'portfolio' ) ) { ?>
								<?php esc_html_e( 'Next Project (n)', 'werkstatt' ); ?>
							<?php } else { ?>
								<?php esc_html_e( 'Next Post (n)', 'werkstatt' ); ?>
							<?php } ?>
						</strong>
						<span><?php echo wp_kses_post( $next->post_title ); ?></span>

					</a>
					<?php
				}
				?>
			</div>
		</div>
	</div>
		<?php
	}
}
add_action( 'thb_portfolio_nav', 'thb_portfolio_nav', 3, 3 );

/* Portfolio Attributes */
function thb_portfolio_attributes( $style ) {
	$id              = get_the_ID();
	$client_name     = get_post_meta( $id, 'client_name', true );
	$client_website  = get_post_meta( $id, 'client_website', true );
	$client_date     = get_post_meta( $id, 'client_date', true );
	$client_services = get_post_meta( $id, 'client_services', true );
	$client_more     = get_post_meta( $id, 'client_more', true );
	?>
	<?php if ( $client_name !== '' || $client_website !== '' || $client_date !== '' || $client_services !== '' || ! empty( $client_more ) ) { ?>
		<div class="portfolio-attributes
		<?php
		if ( isset( $style ) ) {
			echo esc_attr( $style ); }
		?>
		">
			<?php if ( $client_name !== '' ) { ?>
			<div class="attribute"><strong><?php esc_html_e( 'Client:', 'werkstatt' ); ?></strong> <?php echo esc_html( $client_name ); ?></div>
			<?php } ?>
			<?php if ( $client_website !== '' ) { ?>
			<div class="attribute"><strong><?php esc_html_e( 'Website:', 'werkstatt' ); ?></strong> <a href="<?php echo esc_url( $client_website ); ?>" title="
															 <?php
																if ( $client_name !== '' ) {
																	echo esc_html( $client_name ); }
																?>
			" target="_blank"><?php echo esc_html( thb_get_domain( $client_website ) ); ?></a></div>
			<?php } ?>
			<?php if ( $client_date !== '' ) { ?>
			<div class="attribute"><strong><?php esc_html_e( 'Date:', 'werkstatt' ); ?></strong> <?php echo esc_html( $client_date ); ?></div>
			<?php } ?>
			<?php if ( $client_services !== '' ) { ?>
			<div class="attribute"><strong><?php esc_html_e( 'Services:', 'werkstatt' ); ?></strong> <?php echo esc_html( $client_services ); ?></div>
			<?php } ?>
			<?php if ( ! empty( $client_more ) ) { ?>
				<?php foreach ( $client_more as $more ) { ?>
					<div class="attribute">
						<strong><?php echo esc_html( $more['title'] ); ?>: </strong>
						<?php if ( $more['client_custom_link'] !== '' ) { ?>
							<a href="<?php echo esc_html( $more['client_custom_link'] ); ?>" title="<?php echo esc_attr( $more['client_custom_value'] ); ?>" target="_blank">
						<?php } ?>
							<?php echo $more['client_custom_value']; ?>
						<?php if ( $more['client_custom_link'] !== '' ) { ?>
							</a>
						<?php } ?>
					</div>
				<?php } ?>
			<?php } ?>
		</div>
		<?php
	}
}
add_action( 'thb_portfolio_attributes', 'thb_portfolio_attributes', 3, 3 );

/* Portfolio Share */
function thb_portfolio_share() {
	$id           = get_the_ID();
	$permalink    = get_permalink( $id );
	$title        = the_title_attribute(
		array(
			'echo' => 0,
			'post' => $id,
		)
	);
	$image_id     = get_post_thumbnail_id( $id );
	$image        = wp_get_attachment_image_src( $image_id, 'full' );
	$twitter_user = ot_get_option( 'twitter_bar_username' );
	$sharing_type = ot_get_option( 'sharing_buttons', array() );
	?>
	<?php if ( ! empty( $sharing_type ) ) { ?>
	<div class="thb-portfolio-share">
		<strong>
			<?php esc_html_e( 'Share', 'werkstatt' ); ?>
			<ul>
				<li><span><?php get_template_part( 'assets/img/general-next.svg' ); ?></span></li>
				<?php if ( in_array( 'facebook', $sharing_type, true ) ) { ?>
				<li><a href="<?php echo 'http://www.facebook.com/sharer.php?u=' . rawurlencode( esc_url( $permalink ) ) . ''; ?>" class="social facebook" rel="noreferrer"><i class="fa fa-facebook"></i></a></li>
				<?php } ?>
				<?php if ( in_array( 'twitter', $sharing_type, true ) ) { ?>
				<li><a href="<?php echo 'https://twitter.com/intent/tweet?text=' . htmlspecialchars( rawurlencode( html_entity_decode( $title, ENT_COMPAT, 'UTF-8' ) ), ENT_COMPAT, 'UTF-8' ) . '&url=' . rawurlencode( esc_url( $permalink ) ) . '&via=' . rawurlencode( $twitter_user ? $twitter_user : get_bloginfo( 'name' ) ) . ''; ?>" class="social twitter" rel="noreferrer"><i class="fa fa-twitter"></i></a></li>
				<?php } ?>
				<?php if ( in_array( 'pinterest', $sharing_type, true ) ) { ?>
				<li><a href="<?php echo 'http://pinterest.com/pin/create/link/?url=' . esc_url( $permalink ) . '&amp;media=' . ( ! empty( $image[0] ) ? esc_attr( $image[0] ) : '' ) . '&description=' . htmlspecialchars( rawurlencode( html_entity_decode( $title, ENT_COMPAT, 'UTF-8' ) ), ENT_COMPAT, 'UTF-8' ); ?>" class="social pinterest" nopin="nopin" data-pin-no-hover="true" rel="noreferrer"><i class="fa fa-pinterest"></i></a></li>
				<?php } ?>
				<?php if ( in_array( 'linkedin', $sharing_type, true ) ) { ?>
				<li><a href="<?php echo 'https://www.linkedin.com/cws/share?url=' . esc_url( $permalink ) . ''; ?>" class="social linkedin"><i class="fa fa-linkedin"></i></a></li>
				<?php } ?>
				<?php if ( in_array( 'whatsapp', $sharing_type, true ) ) { ?>
				<li><a href="<?php echo 'whatsapp://send?text=' . htmlspecialchars( rawurlencode( html_entity_decode( $title, ENT_COMPAT, 'UTF-8' ) ), ENT_COMPAT, 'UTF-8' ) . ' ' . esc_url( $permalink ); ?>" class="whatsapp social" data-href="<?php echo esc_url( $permalink ); ?>" data-action="share/whatsapp/share" rel="noreferrer"><i class="fa fa-whatsapp"></i></a></li>
				<?php } ?>
				<?php if ( in_array( 'facebook-messenger', $sharing_type, true ) ) { ?>
					<?php $fb_app_id = ot_get_option( 'facebook_app_id' ); ?>
				<li><a href="<?php echo 'fb-messenger://share/?link=' . esc_url( $permalink ) . '&app_id=' . esc_url( $fb_app_id ); ?>" class="facebook-messenger social" rel="noreferrer"><svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="96 93 322 324"><path d="M257 93c-88.918 0-161 67.157-161 150 0 47.205 23.412 89.311 60 116.807V417l54.819-30.273C225.449 390.801 240.948 393 257 393c88.918 0 161-67.157 161-150S345.918 93 257 93zm16 202l-41-44-80 44 88-94 42 44 79-44-88 94z" /></svg></a></li>
				<?php } ?>
				<?php if ( in_array( 'vkontakte', $sharing_type, true ) ) { ?>
				<li><a href="<?php echo 'http://vk.com/share.php?url=' . esc_url( $permalink ) . ''; ?>" class="social vk" rel="noreferrer"><i class="fa fa-vk"></i></a></li>
				<?php } ?>
				<?php if ( in_array( 'email', $sharing_type, true ) ) { ?>
				<li><a href="<?php echo 'mailto:?subject=' . htmlspecialchars( rawurlencode( html_entity_decode( $title, ENT_COMPAT, 'UTF-8' ) ), ENT_COMPAT, 'UTF-8' ) . '&body=' . rawurlencode( esc_url( $permalink ) ); ?>" class="email social" rel="noreferrer"><i class="fa fa-envelope"></i></a></li>
				<?php } ?>
			</ul>
		</strong>
	</div>
		<?php
	}
}
add_action( 'thb_portfolio_share', 'thb_portfolio_share', 3, 3 );

/* Portfolio Share - Inline*/
function thb_portfolio_share_inline( $widget_title, $sharing_type, $thb_alignment, $style = 'style1' ) {
	$id           = get_the_ID();
	$permalink    = get_permalink( $id );
	$title        = the_title_attribute(
		array(
			'echo' => 0,
			'post' => $id,
		)
	);
	$image_id     = get_post_thumbnail_id( $id );
	$image        = wp_get_attachment_image_src( $image_id, 'full' );
	$twitter_user = ot_get_option( 'twitter_bar_username' );

	$class[] = 'thb-share-icons';
	$class[] = $thb_alignment;
	$class[] = $style;

	$icon_class = 'social ' . ( $style == 'style1' ? 'boxed-icon' : '' );
	?>
	<div class="<?php echo esc_attr( implode( ' ', $class ) ); ?>">
		<?php
		if ( $widget_title ) {
			?>
			<h6><?php echo esc_html( $widget_title ); ?></h6><?php } ?>
		<ul>
			<?php if ( in_array( 'facebook', $sharing_type, true ) ) { ?>
			<li><a href="<?php echo 'http://www.facebook.com/sharer.php?u=' . rawurlencode( esc_url( $permalink ) ) . ''; ?>" class="<?php echo esc_attr( $icon_class ); ?> facebook"><i class="fa fa-facebook"></i></a></li>
			<?php } ?>
			<?php if ( in_array( 'twitter', $sharing_type, true ) ) { ?>
			<li><a href="<?php echo 'https://twitter.com/intent/tweet?text=' . htmlspecialchars( rawurlencode( html_entity_decode( $title, ENT_COMPAT, 'UTF-8' ) ), ENT_COMPAT, 'UTF-8' ) . '&url=' . rawurlencode( esc_url( $permalink ) ) . '&via=' . rawurlencode( $twitter_user ? $twitter_user : get_bloginfo( 'name' ) ) . ''; ?>" class="<?php echo esc_attr( $icon_class ); ?> twitter"><i class="fa fa-twitter"></i></a></li>
			<?php } ?>
			<?php if ( in_array( 'pinterest', $sharing_type, true ) ) { ?>
			<li><a href="<?php echo 'http://pinterest.com/pin/create/link/?url=' . esc_url( $permalink ) . '&amp;media=' . ( ! empty( $image[0] ) ? $image[0] : '' ) . '&description=' . htmlspecialchars( rawurlencode( html_entity_decode( $title, ENT_COMPAT, 'UTF-8' ) ), ENT_COMPAT, 'UTF-8' ); ?>" class="<?php echo esc_attr( $icon_class ); ?> pinterest" nopin="nopin" data-pin-no-hover="true"><i class="fa fa-pinterest"></i></a></li>
			<?php } ?>
			<?php if ( in_array( 'linkedin', $sharing_type, true ) ) { ?>
			<li><a href="<?php echo 'https://www.linkedin.com/cws/share?url=' . esc_url( $permalink ) . ''; ?>" class="<?php echo esc_attr( $icon_class ); ?> linkedin"><i class="fa fa-linkedin"></i></a></li>
			<?php } ?>
			<?php if ( in_array( 'whatsapp', $sharing_type, true ) ) { ?>
			<li><a href="<?php echo 'whatsapp://send?text=' . htmlspecialchars( rawurlencode( html_entity_decode( $title, ENT_COMPAT, 'UTF-8' ) ), ENT_COMPAT, 'UTF-8' ) . ''; ?>" class="<?php echo esc_attr( $icon_class ); ?> whatsapp" data-href="<?php echo esc_url( $permalink ); ?>" data-action="share/whatsapp/share"><i class="fa fa-whatsapp"></i></a></li>
			<?php } ?>
			<?php if ( in_array( 'facebook-messenger', $sharing_type, true ) ) { ?>
				<?php $fb_app_id = ot_get_option( 'facebook_app_id' ); ?>
			<li><a href="<?php echo 'fb-messenger://share/?link=' . esc_url( $permalink ) . '&app_id=' . esc_url( $fb_app_id ); ?>" class="<?php echo esc_attr( $icon_class ); ?> facebook-messenger"><svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="96 93 322 324"><path d="M257 93c-88.918 0-161 67.157-161 150 0 47.205 23.412 89.311 60 116.807V417l54.819-30.273C225.449 390.801 240.948 393 257 393c88.918 0 161-67.157 161-150S345.918 93 257 93zm16 202l-41-44-80 44 88-94 42 44 79-44-88 94z" /></svg></a></li>
			<?php } ?>
			<?php if ( in_array( 'vkontakte', $sharing_type, true ) ) { ?>
			<li><a href="<?php echo 'http://vk.com/share.php?url=' . esc_url( $permalink ) . ''; ?>" class="<?php echo esc_attr( $icon_class ); ?> vk"><i class="fa fa-vk"></i></a></li>
			<?php } ?>
			<?php if ( in_array( 'email', $sharing_type, true ) ) { ?>
			<li><a href="<?php echo 'mailto:?subject=' . htmlspecialchars( rawurlencode( html_entity_decode( $title, ENT_COMPAT, 'UTF-8' ) ), ENT_COMPAT, 'UTF-8' ) . '&body=' . rawurlencode( esc_url( $permalink ) ); ?>" class="<?php echo esc_attr( $icon_class ); ?> email"><i class="fa fa-envelope"></i></a></li>
			<?php } ?>
		</ul>
	</div>
	<?php
}
add_action( 'thb_portfolio_share_inline', 'thb_portfolio_share_inline', 3, 4 );

// Portfolio Video Header.
function thb_portfolio_video() {
	$id                         = get_the_ID();
	$portfolio_header_video     = get_post_meta( $id, 'portfolio_header_video', true );
	$portfolio_header_video_url = wp_get_attachment_url( $portfolio_header_video );
	$url                        = explode( '?', $portfolio_header_video_url );
	$portfolio_header_video_url = $url[0];
	if ( $portfolio_header_video_url ) {
		$portfolio_header_video_poster     = get_post_meta( $id, 'portfolio_header_video_poster', true );
		$portfolio_header_video_poster_url = wp_get_attachment_url( $portfolio_header_video_poster );
		$video_type                        = wp_check_filetype( $portfolio_header_video_url, wp_get_mime_types() );
		$poster_type                       = wp_check_filetype( $portfolio_header_video_poster_url, wp_get_mime_types() );
		$portfolio_header_video_loop       = get_post_meta( $id, 'portfolio_header_video_loop', true ) !== 'off' ? 'true' : 'false';

		$attributes[] = 'data-vide-bg="' . $video_type['ext'] . ': ' . esc_attr( $portfolio_header_video_url ) . ( $portfolio_header_video_poster_url ? ', poster: ' . esc_attr( $portfolio_header_video_poster_url ) : '' ) . '"';

		$attributes[] = 'data-vide-options="posterType: ' . ( $poster_type['ext'] ? esc_attr( $poster_type['ext'] ) : 'none' ) . ', loop: ' . $portfolio_header_video_loop . ', muted: true, position: 50% 50%, resizing: true"';
	} else {
		$attributes[] = '';
	}
	return $attributes;
}

// Floating Portfolio.
function thb_floating_portfolio() {
	if ( 'off' === ot_get_option( 'floating_portfolio', 'off' ) ) {
		return;
	}
	$floating_portfolio_home = ot_get_option( 'floating_portfolio_home', 'on' );

	if ( 'on' === $floating_portfolio_home && ! is_front_page() ) {
		return;
	}
	$floating_portfolio_position = ot_get_option( 'floating_portfolio_position', 'left' );
	$floating_portfolio_list     = ot_get_option( 'floating_portfolio_list' );
	?>
	<aside class="thb-floating-portfolio <?php echo esc_attr( $floating_portfolio_position ); ?>">
		<div class="slick thb-floating-portfolio-slider" data-fade="true" data-columns="1" data-autoplay="true">
			<?php
			if ( $floating_portfolio_list ) {
				foreach ( $floating_portfolio_list as $portfolio ) {
					$thb_id     = $portfolio['portfolio'];
					$image_id   = get_post_thumbnail_id( $thb_id );
					$categories = get_the_term_list( $thb_id, 'portfolio-category', '', ', ', '' );

					$thb_categories = '';
					if ( $categories !== '' && ! empty( $categories ) ) {
						$thb_categories = wp_strip_all_tags( $categories );
					}
					$main_listing_type = get_post_meta( $thb_id, 'main_listing_type', true );
					$permalink         = '';

					$link_class[] = 'thb-floating-link';
					if ( $main_listing_type === 'lightbox' ) {
						$image_url    = wp_get_attachment_image_src( $image_id, 'full' );
						$permalink    = $image_url[0];
						$link_class[] = 'mfp-image';
					} elseif ( $main_listing_type === 'link' ) {
						$permalink = get_post_meta( $thb_id, 'main_listing_link', true );
					} elseif ( $main_listing_type === 'lightbox-video' ) {
						$permalink    = get_post_meta( $thb_id, 'main_listing_link', true );
						$link_class[] = 'mfp-video';
					} else {
						$permalink = get_the_permalink( $thb_id );
					}
					?>
					<div class="thb-floating">
						<figure><?php echo wp_get_attachment_image( $image_id, 'werkstatt-square-2x' ); ?></figure>
						<div class="thb-floating-content">
							<?php if ( $thb_categories ) { ?>
								<aside class="thb-categories"><?php echo esc_html( $thb_categories ); ?></aside>
							<?php } ?>
							<h6><?php echo esc_html( get_the_title( $portfolio['portfolio'] ) ); ?></h6>
							<div class="thb-floating-progress"><span></span></div>
						</div>
						<a href="<?php echo esc_url( $permalink ); ?>" class="<?php echo esc_attr( implode( ' ', $link_class ) ); ?>"></a>
					</div>
				<?php } ?>
			<?php } else { ?>
				<div class="thb-floating" style="padding: 20px;">
					<?php esc_html_e( 'Please select portfolio items for Floating Portfolio inside Theme Options', 'werkstatt' ); ?>
				</div>
			<?php } ?>
		</div>
	</aside>
	<?php
}
add_action( 'thb_wrapper_end', 'thb_floating_portfolio' );
