<?php
$thb_id     = get_the_ID();
$fs_data    = thb_get_fullscreen_data( $thb_id );
$portfolios = array();
?>
<ol class="curtains vertical-deck thb-portfolio">
		<?php
		$i = 1;
		if ( ! $fs_data['fs_slides'] ) {
			?>
				<div class="swiper-slide center-contents type-portfolio">
					<h2><?php esc_html_e( 'Please assign slides inside Page Settings', 'werkstatt' ); ?></h2>
				</div>
			<?php
		} else {
			foreach ( $fs_data['fs_slides'] as $slide ) {
				$slide_source = !empty($slide['slide_source']) ? $slide['slide_source'] : 'portfolio';
				$thb_id       = $slide['portfolio'];

				if ( 'page' === $slide_source ) {
					$thb_id = $slide['page'];
				}

				if ( get_post_status( $thb_id ) !== 'publish' ) {
					continue;
				}

				$portfolio_data = thb_get_fs_portfolio_data( $thb_id );

				if ( isset( $slide['slide_title'] ) && 'on' === $slide['slide_title'] ) {
					$portfolio_data['thb_title'] = $slide['title'];
				}

				$bg_position = !empty($slide['bg_position']) ? $slide['bg_position'] : 'bg-center';

				$portfolios[] = array(
					'title'       => $portfolio_data['thb_title'],
					'image_id'    => $portfolio_data['image_id'],
					'cats'        => $portfolio_data['categories'],
					'link'        => $portfolio_data['permalink'],
					'bg_position' => $bg_position,
				);
				?>
				<li class="vertical-page cover type-portfolio <?php echo esc_attr( $portfolio_data['main_color_title'] ); ?>" data-color="<?php echo esc_attr( $portfolio_data['main_color_title'] ); ?>">
					<div class="thb-bg <?php echo esc_attr( $bg_position ); ?>"><?php echo get_the_post_thumbnail( $thb_id, 'werkstatt-slider' ); ?></div>
					<div class="thb-container">
						<h1><a href="<?php echo esc_attr( $portfolio_data['permalink'] ); ?>"><?php echo esc_html( $portfolio_data['thb_title'] ); ?></a></h1>
						<aside class="thb-categories"><?php echo esc_html( $portfolio_data['categories'] ); ?></aside>
					</div>
				</li>
			<?php $i++; } } ?>
</ol>
<div class="swiper-pagination swiper-pagination-fraction <?php echo esc_attr( $fs_data['fs_footer'] ); ?>>">
	<span class="swiper-pagination-current">1</span>
	-
	<span class="swiper-pagination-total"><?php echo esc_html( $fs_data['total'] ); ?></span>
</div>
<?php do_action( 'thb_all_projects', $fs_data['fs_footer'], $portfolios ); ?>
<div class="thb-shadow"></div>
