<?php
$thb_id     = get_the_ID();
$fs_data    = thb_get_fullscreen_data( $thb_id );
$portfolios = array();
?>
<div class="swiper-container full-page style5 thb-portfolio <?php echo esc_attr( $fs_data['fs_footer'] ); ?>" data-autoplay="<?php echo esc_attr( $fs_data['fs_autoplay'] ); ?>" data-footer-style="<?php echo esc_attr( $fs_data['fs_footer'] ); ?>">
	<div class="swiper-wrapper">
		<?php
		$i = 1;
		if ( ! $fs_data['fs_slides'] ) {
			?>
				<div class="swiper-slide center-contents type-portfolio">
					<h2><?php esc_html_e( 'Please assign slides inside Page Settings', 'werkstatt' ); ?></h2>
				</div>
			<?php
		} else {
			foreach ( $fs_data['fs_slides'] as $slide ) {
				$slide_source = !empty($slide['slide_source']) ? $slide['slide_source'] : 'portfolio';
				$thb_id       = $slide['portfolio'];

				if ( 'page' === $slide_source ) {
					$thb_id = $slide['page'];
				}

				if ( get_post_status( $thb_id ) !== 'publish' ) {
					continue;
				}

				$portfolio_data = thb_get_fs_portfolio_data( $thb_id );

				if ( isset( $slide['slide_title'] ) && 'on' === $slide['slide_title'] ) {
					$portfolio_data['thb_title'] = $slide['title'];
				}

				$bg_position = !empty($slide['bg_position']) ? $slide['bg_position'] : 'bg-center';

				$portfolios[] = array(
					'title'       => $portfolio_data['thb_title'],
					'image_id'    => $portfolio_data['image_id'],
					'cats'        => $portfolio_data['categories'],
					'link'        => $portfolio_data['permalink'],
					'bg_position' => $bg_position,
				);
				?>
				<div class="swiper-slide center-contents type-portfolio <?php echo esc_attr( $portfolio_data['main_color_title'] ); ?> <?php echo esc_attr( $bg_position ); ?>" data-color="<?php echo esc_attr( $portfolio_data['main_color_title'] ); ?>" style="background-image:url(<?php echo esc_attr( $portfolio_data['image_url'] ); ?>)" id="portfolio-<?php echo esc_attr( $thb_id ); ?>">
					<a href="<?php echo esc_attr( $portfolio_data['permalink'] ); ?>" title="<?php echo esc_attr( $portfolio_data['thb_title'] ); ?>">
						<h1><span><?php echo esc_html( $portfolio_data['thb_title'] ); ?></span></h1>
					</a>
				</div>
			<?php $i++; } } ?>
	</div>
	<?php do_action( 'thb_all_projects', $fs_data['fs_footer'], $portfolios ); ?>
	<div class="swiper-pagination <?php echo esc_attr( $fs_data['fs_footer'] ); ?>"></div>
</div>
