<?php
$thb_id     = get_the_ID();
$fs_data    = thb_get_fullscreen_data( $thb_id );
$portfolios = array();
?>
<div class="swiper-container full-page style6 thb-portfolio <?php echo esc_attr( $fs_data['fs_footer'] ); ?>" data-autoplay="<?php echo esc_attr( $fs_data['fs_autoplay'] ); ?>" data-footer-style="<?php echo esc_attr( $fs_data['fs_footer'] ); ?>">
	<div class="swiper-wrapper">
		<?php
		$i = 1;

		if ( ! $fs_data['fs_slides'] ) {
			?>
				<div class="swiper-slide center-contents type-portfolio">
					<h2><?php esc_html_e( 'Please assign slides inside Page Settings', 'werkstatt' ); ?></h2>
				</div>
			<?php
		} else {

			foreach ( $fs_data['fs_slides'] as $slide ) {
				$slide_source = !empty($slide['slide_source']) ? $slide['slide_source'] : 'portfolio';
				$thb_id       = $slide['portfolio'];

				if ( 'page' === $slide_source ) {
					$thb_id = $slide['page'];
				}

				if ( get_post_status( $thb_id ) !== 'publish' ) {
					continue;
				}

				$portfolio_data = thb_get_fs_portfolio_data( $thb_id );

				if ( isset( $slide['slide_title'] ) && 'on' === $slide['slide_title'] ) {
					$portfolio_data['thb_title'] = $slide['title'];
				}

				$bg_position = !empty($slide['bg_position']) ? $slide['bg_position'] : 'bg-center';

				$portfolios[] = array(
					'title'       => $portfolio_data['thb_title'],
					'image_id'    => $portfolio_data['image_id'],
					'cats'        => $portfolio_data['categories'],
					'link'        => $portfolio_data['permalink'],
					'bg_position' => $bg_position,
				);
				?>
				<div class="swiper-slide center-contents type-portfolio title-animation-swipe <?php echo esc_attr( $portfolio_data['main_color_title'] ); ?>" data-color="<?php echo esc_attr( $portfolio_data['main_color_title'] ); ?>" id="portfolio-<?php echo esc_attr( $thb_id ); ?>">
					<div class="glitch-image <?php echo esc_attr( $bg_position ); ?>" title="<?php echo esc_attr( $portfolio_data['thb_title'] ); ?>">
						<?php echo get_the_post_thumbnail( $thb_id, 'werkstatt-slider' ); ?>
					</div>
					<canvas class="glitch" data-image="<?php echo esc_attr( $portfolio_data['image_url'] ); ?>"></canvas>
					<div class="row align-center text-center">
						<div class="small-12 medium-8 columns">
							<h1><span><a href="<?php echo esc_attr( $portfolio_data['permalink'] ); ?>"><?php echo esc_html( $portfolio_data['thb_title'] ); ?></a></span></h1>
							<aside class="thb-categories"><span><?php echo esc_html( $portfolio_data['categories'] ); ?></span></aside>
						</div>
					</div>
				</div>
			<?php $i++; } } ?>
	</div>
	<?php do_action( 'thb_all_projects', $fs_data['fs_footer'], $portfolios ); ?>
	<div class="swiper-pagination <?php echo esc_attr( $fs_data['fs_footer'] ); ?>"></div>
</div>
